Bug 2268366 (CVE-2024-25111) - CVE-2024-25111 squid: Denial of Service in HTTP Chunked Decoding
Summary: CVE-2024-25111 squid: Denial of Service in HTTP Chunked Decoding
Keywords:
Status: NEW
Alias: CVE-2024-25111
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2268368
Blocks: 2268369
TreeView+ depends on / blocked
 
Reported: 2024-03-07 05:57 UTC by TEJ RATHI
Modified: 2024-05-31 12:52 UTC (History)
1 user (show)

Fixed In Version: squid 6.8
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Squid. This issue may allow a remote attacker to trigger an uncontrolled recursion bug when sending a specially crafted, chunked, encoded HTTP Message, resulting in a denial of service.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:1396 0 None None None 2024-03-19 16:23:50 UTC
Red Hat Product Errata RHSA-2024:1375 0 None None None 2024-03-19 14:04:28 UTC
Red Hat Product Errata RHSA-2024:1376 0 None None None 2024-03-19 14:02:00 UTC
Red Hat Product Errata RHSA-2024:1479 0 None None None 2024-03-25 17:00:43 UTC
Red Hat Product Errata RHSA-2024:1515 0 None None None 2024-03-26 12:14:04 UTC
Red Hat Product Errata RHSA-2024:1832 0 None None None 2024-04-16 10:40:12 UTC
Red Hat Product Errata RHSA-2024:1833 0 None None None 2024-04-16 13:33:39 UTC
Red Hat Product Errata RHSA-2024:2777 0 None None None 2024-05-09 05:53:59 UTC
Red Hat Product Errata RHSA-2024:2822 0 None None None 2024-05-13 01:34:13 UTC

Description TEJ RATHI 2024-03-07 05:57:25 UTC
Squid is a web proxy cache. Starting in version 3.5.27 and prior to version 6.8, Squid may be vulnerable to a Denial of Service attack against HTTP Chunked decoder due to an uncontrolled recursion bug. This problem allows a remote attacker to cause Denial of Service when sending a crafted, chunked, encoded HTTP Message. This bug is fixed in Squid version 6.8. In addition, patches addressing this problem for the stable releases can be found in Squid's patch archives. There is no workaround for this issue.

Reference:
https://github.com/squid-cache/squid/security/advisories/GHSA-72c2-c3wm-8qxc

Upstream patch:
http://www.squid-cache.org/Versions/v6/SQUID-2024_1.patch

Comment 1 TEJ RATHI 2024-03-07 06:19:31 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 2268368]

Comment 4 errata-xmlrpc 2024-03-19 14:02:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:1376 https://access.redhat.com/errata/RHSA-2024:1376

Comment 5 errata-xmlrpc 2024-03-19 14:04:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:1375 https://access.redhat.com/errata/RHSA-2024:1375

Comment 6 errata-xmlrpc 2024-03-25 17:00:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1479 https://access.redhat.com/errata/RHSA-2024:1479

Comment 7 errata-xmlrpc 2024-03-26 12:14:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:1515 https://access.redhat.com/errata/RHSA-2024:1515

Comment 10 errata-xmlrpc 2024-04-16 10:40:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Advanced Mission Critical Update Support
  Red Hat Enterprise Linux 8.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.4 Telecommunications Update Service

Via RHSA-2024:1832 https://access.redhat.com/errata/RHSA-2024:1832

Comment 11 errata-xmlrpc 2024-04-16 13:33:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:1833 https://access.redhat.com/errata/RHSA-2024:1833

Comment 12 errata-xmlrpc 2024-05-09 05:53:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2024:2777 https://access.redhat.com/errata/RHSA-2024:2777

Comment 13 errata-xmlrpc 2024-05-13 01:34:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:2822 https://access.redhat.com/errata/RHSA-2024:2822


Note You need to log in before you can comment on or make changes to this bug.